Masumi Logo

/invoice-monthly

Generates an invoice PDF aggregating all payment requests for a buyer wallet within a month, using the end-of-month conversion rate. (+PAY access required)

BETA: This invoice feature is in beta. Generated invoices should be reviewed manually or verified with a tax advisor before use. Use at your own discretion.

POST
/invoice/monthly
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/invoice/monthly" \  -H "Content-Type: application/json" \  -d '{    "signature": "ed25519_signature",    "key": "ed25519_key",    "walletAddress": "addr1xk2fxv2umyhttkxyxp8x0dlpdt3k6cwng5pxj3jhsydzer3n0d3vllmyqwsx5wktcd8cc3sq835lu7drv2xwl2wywfgse35a3x",    "validUntil": 1736352000000,    "action": "RetrieveMonthlyInvoices",    "buyerWalletVkey": "buyer_wallet_vkey",    "month": "2025-09",    "invoiceCurrency": "usd",    "CurrencyConversion": {      "": 0.45,      "policyIdAssetHex": 1.23    },    "Invoice": {      "itemNamePrefix": "Agent: ",      "title": "Monthly Invoice",      "language": "en-us",      "localizationFormat": "en-us"    },    "vatRate": 0.19,    "reverseCharge": false,    "forceRegenerate": false,    "Seller": {      "country": "DE",      "city": "Berlin",      "zipCode": "10115",      "street": "Example Str.",      "streetNumber": "1",      "email": "[email protected]",      "phone": "+49 30 123456",      "name": "Alice",      "companyName": "Alice GmbH",      "vatNumber": "DE123456789"    },    "Buyer": {      "country": "DE",      "city": "Berlin",      "zipCode": "10115",      "street": "Buyer Str.",      "streetNumber": "2",      "email": "[email protected]",      "phone": "+49 30 987654",      "name": "Bob",      "companyName": null,      "vatNumber": null    }  }'
{
  "status": "Success",
  "data": {
    "invoice": "BASE64_PDF_STRING",
    "cancellationInvoice": "BASE64_CANCELLATION_PDF_STRING_OR_UNDEFINED"
  }
}
Masumi Kanji